"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _Instructions = require("../Instructions");

var _Quiz = _interopRequireDefault(require("../../../../../records/Quiz"));

var styles = {
  componentId: 'fchimMQzpu',
  template: function template(theme) {
    return "/*  imported from styles.css  */\n\n.instructions__styles__wrapper {\n  position: relative;\n  width: 100%;\n  box-sizing: border-box;\n  padding-left: ".concat(theme.wrapperPadding || 'none', ";\n}\n\n.instructions__styles__wrapper::after {\n  clear: both;\n  content: \"\";\n  display: table;\n}\n\n[dir=\"ltr\"] .instructions__styles__wrapper::after {\n  clear: both;\n}\n\n[dir=\"rtl\"] .instructions__styles__wrapper::after {\n  clear: both;\n}\n\n.instructions__styles__text {\n  font-size: ").concat(theme.textFontSize || 'none', ";\n}\n");
  },
  'wrapper': 'instructions__styles__wrapper',
  'text': 'instructions__styles__text'
};
describe('QuizInstructions', function () {
  var testbed = createTestbed(_Instructions.QuizInstructions, {
    quiz: new _Quiz.default({
      id: '3'
    }),
    actions: {
      persistModification: function persistModification() {},
      saveQuizChange: function saveQuizChange() {}
    }
  });
  shouldRenderComponent(testbed, {}, _Instructions.QuizInstructions);
  it('should render quiz instructions preview', function () {
    testbed.render(); // refs aren't working for some reason, so using class finders as a backup
    // not ideal though

    var previewComponentNode = testbed.findChildrenByClass(styles.wrapper)[0];
    expect(previewComponentNode).to.not.be.undefined();
  });
  describe('a11y tests', function () {
    it('should meet a11y standards', function (done) {
      testbed.render();
      testbed.checkA11yStandards(done);
    });
  });
});