"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _enzyme = require("enzyme");

var _ = _interopRequireDefault(require("../"));

var styles = {
  componentId: 'caADpEWxUY',
  template: function template(theme) {
    return "/*  imported from styles.css  */\n\n.CardWrapper__styles__wrapper {\n  box-sizing: border-box;\n  padding: ".concat(theme.wrapperPadding || 'none', ";\n  transition: ").concat(theme.wrapperTransitionDuration || 'none', " ease;\n  background-color: ").concat(theme.wrapperBackgroundColor || 'none', ";\n  min-height: 100%;\n}\n\n@media screen and (--phoneBreakPoint) {\n  .CardWrapper__styles__wrapper {\n    padding: ").concat(theme.phoneWrapperPadding || 'none', " 0;\n  }\n}\n");
  },
  'wrapper': 'CardWrapper__styles__wrapper'
};
describe('CardWrapper', function () {
  it('renders children in the wrapper', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.default, null, "Content"));
    expect(wrapper.text()).to.include('Content');
  });
  it('styles the wrapper', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.default, null, "Content"));
    expect(wrapper.prop('className')).to.equal(styles.wrapper);
  });
  it('appends className to card wrapper', function () {
    var wrapper = (0, _enzyme.shallow)(_react.default.createElement(_.default, {
      className: "myWrapperClass"
    }, "Content"));
    expect(wrapper.prop('className')).to.include('myWrapperClass');
  });
});